aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios/install_dotnet_3.sh
diff options
context:
space:
mode:
authorJosh Spicer <joshspicer@github.com>2022-08-17 00:33:25 +0300
committerGitHub <noreply@github.com>2022-08-17 00:33:25 +0300
commitef87daf5af1de5d0031ad946f20e1601f1fb905e (patch)
tree64c39a7de2553c3580ab86f0816e0bb8ecc99337 /test-scenarios/install_dotnet_3.sh
parentea4eaf2a7a04a898e22c3e9820576df4f413fcbb (diff)
update `dotnet`/`oryx` features to use recommended install location for dotnet6 (#91)
* use default jammy apt feed to mitigate jammy/oryx install issues * remove old comment * jammy first tries default apt repo * refactoring * glob friendly and tests * test files * better greps * correct path * DEBIAN_FRONTEND global in oryx install script * remove set -e from dotnet script to handle errors ourselves
Diffstat (limited to 'test-scenarios/install_dotnet_3.sh')
-rw-r--r--test-scenarios/install_dotnet_3.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test-scenarios/install_dotnet_3.sh b/test-scenarios/install_dotnet_3.sh
new file mode 100644
index 0000000..0d05215
--- /dev/null
+++ b/test-scenarios/install_dotnet_3.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "dotnet sdks" dotnet --list-sdks
+check "some major version of dotnet 3 is installed" dotnet --list-sdks | grep '3\.[0-9]*\.[0-9]*'
+check "dotnet version 3 installed" ls -l /usr/share/dotnet/sdk | grep '3\.[0-9]*\.[0-9]*'
+
+# Report result
+reportResults